# libdar::scrambler Class Reference
[Private]

scrambler is a very weak encryption scheme More...

`#include <scrambler.hpp>`

Inherits libdar::generic_file.

List of all members.

## Public Member Functions
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
bool | skip_relative (S_I x)
| skip relatively to the current position
infinint | get_position ()
| get the current read/write position

## Detailed Description

scrambler is a very weak encryption scheme

Definition at line 44 of file scrambler.hpp.

The documentation for this class was generated from the following file:

- scrambler.hpp